package jdsdk

import (
	"context"
	order2 "git.oa00.com/go/jdsdk/order"
	"git.oa00.com/supply-chain/service/client"
)

type afterSale struct {
}

// Info @Title 售后详情
func (a *afterSale) Info(ctx context.Context, afsServiceId uint64) (reply order2.AfterSaleInfo, err error) {
	xClient, err := client.GetClient(a)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "Info", afsServiceId, &reply)
	return
}
