package jdsdk

import (
	"context"
	sku2 "git.oa00.com/go/jdsdk/sku"
	"git.oa00.com/supply-chain/service/client"
)

type sku struct {
}

// GetDetail @Title 获取商品详情 sku最大20
func (s *sku) GetDetail(ctx context.Context, jdSkuIds []uint64) (reply []sku2.Detail, err error) {
	xClient, err := client.GetClient(s)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "GetDetail", jdSkuIds, &reply)
	return
}

// GetPriceList @Title 获取商品价格列表 最大100
func (s *sku) GetPriceList(ctx context.Context, jdSkuIds []uint64) (reply []sku2.PriceItem, err error) {
	xClient, err := client.GetClient(s)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "GetPriceList", jdSkuIds, &reply)
	return
}
