package otosaas

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type callback struct {
}

// OtoSaas @Title 海旅回调
func (c *callback) OtoSaas(ctx context.Context, args string) (reply string, err error) {
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "OtoSaas", args, &reply)
	return
}

// Kuaidi100 @Title 快递100回调
func (c *callback) Kuaidi100(ctx context.Context, args string) (reply string, err error) {
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "Kuaidi100", args, &reply)
	return
}
