package service

import (
	"git.oa00.com/supply-chain/service/customer"
	"git.oa00.com/supply-chain/service/jd"
	"git.oa00.com/supply-chain/service/otosaas"
	"git.oa00.com/supply-chain/service/supplier"
	"git.oa00.com/supply-chain/service/supply"
	"git.oa00.com/supply-chain/service/wholesale"
)

var Rpc = &rpc{}

type rpc struct {
	Supply    supply.Supply
	Jd        jd.Jd
	Customer  customer.Customer
	Supplier  supplier.Supplier
	Wholesale wholesale.Wholesale
	OtoSaas   otosaas.OtoSaas
}
