package supplier

import (
	"git.oa00.com/supply-chain/service/client"
	"golang.org/x/net/context"
)

type logisticsCompany struct {
}

type CompanyItem struct {
	Id   uint   `json:"id"`
	Name string `json:"name"`
}

// Select @Title 物流公司筛选
func (l *logisticsCompany) Select(ctx context.Context) (reply []CompanyItem, err error) {
	xClient, err := client.GetClient(l)
	if err != nil {
		return nil, err
	}
	args := 0
	err = xClient.Call(ctx, "Select", args, &reply)
	return
}
