package supplier

import (
	"git.oa00.com/supply-chain/service/client"
	"golang.org/x/net/context"
)

type returnAddress struct {
}

type ReplyReturnAddressAll struct {
	SupplierId uint                `json:"supplierId"`
	Item       []ReturnAddressItem `json:"item"`
}

type ReturnAddressItem struct {
	Id      uint   `json:"id"`
	Address string `json:"name"`
}

// All @Title 全部退货地址
func (r *returnAddress) All(ctx context.Context) (reply []ReplyReturnAddressAll, err error) {
	xClient, err := client.GetClient(r)
	if err != nil {
		return nil, err
	}
	args := 0
	err = xClient.Call(ctx, "All", args, &reply)
	return
}
