package supplier

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type warnLiaison struct {
}

// Lists @Title 预警联系人列表
func (s *warnLiaison) Lists(ctx context.Context) (reply []string, err error) {
	xClient, err := client.GetClient(s)
	if err != nil {
		return nil, err
	}
	args := 0
	err = xClient.Call(ctx, "Lists", args, &reply)
	return
}

// Update @Title 修改预警联系人
func (s *warnLiaison) Update(ctx context.Context, args []string) error {
	xClient, err := client.GetClient(s)
	if err != nil {
		return err
	}
	reply := 0
	return xClient.Call(ctx, "Update", args, &reply)
}
