package config

import (
	"context"
)

var RpcConfig = &Config{}

type Config struct {
	RegistryServer []string
	BeforeHandel   func(ctx context.Context, baseName, serviceName, serviceMethod string, args interface{}, reply interface{}) (context.Context, error)
	AfterHandel    func(ctx context.Context, baseName, serviceName, serviceMethod string, args interface{}, reply interface{}, err error) error
}

// InitConfig @Title 初始化配置
func InitConfig(config Config) {
	RpcConfig = &config
}
